Android Question B4XDrawer example not working

yfleury

Active Member
Licensed User
In debuger

B4A Version: 8.80
Parsing code. Error
Error parsing program.
Error description: Unknown type: actoolbarlight
Are you missing a library reference?
Error occurred on line: 20 (Main)
Private ACToolBarLight1 As ACToolBarLight
missing library?
 

yfleury

Active Member
Licensed User
Thanks DonManfred
For the small app sample for B4XDrawer it working well, but for my app I have this error

B4X:
Logger connected to: 6447709e
--------- beginning of crash
--------- beginning of system
--------- beginning of main
java.lang.RuntimeException: Unable to start activity ComponentInfo{com.paq15a19/com.paq15a19.main}: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
    at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2946)
    at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3046)
    at android.app.ActivityThread.-wrap11(Unknown Source:0)
    at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1688)
    at android.os.Handler.dispatchMessage(Handler.java:105)
    at android.os.Looper.loop(Looper.java:164)
    at android.app.ActivityThread.main(ActivityThread.java:6798)
    at java.lang.reflect.Method.invoke(Native Method)
    at com.android.internal.os.Zygote$MethodAndArgsCaller.run(Zygote.java:240)
    at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:767)
Caused by: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
    at android.support.v7.app.AppCompatDelegateImpl.createSubDecor(AppCompatDelegateImpl.java:555)
    at android.support.v7.app.AppCompatDelegateImpl.ensureSubDecor(AppCompatDelegateImpl.java:518)
    at android.support.v7.app.AppCompatDelegateImpl.setContentView(AppCompatDelegateImpl.java:457)
    at android.support.v7.app.AppCompatActivity.setContentView(AppCompatActivity.java:145)
    at com.paq15a19.main.onCreate(main.java:61)
    at android.app.Activity.performCreate(Activity.java:7003)
    at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1230)
    at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2899)
    ... 9 more
I don't know that
 

yfleury

Active Member
Licensed User
Thanks DonManfred

All working well on small app example for B4XDrawer. But when I try it for my app, I have this error.

B4X:
Logger connected to: 6447709e
--------- beginning of crash
--------- beginning of system
--------- beginning of main
java.lang.RuntimeException: Unable to start activity ComponentInfo{com.paq15a19/com.paq15a19.main}: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
    at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2946)
    at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3046)
    at android.app.ActivityThread.-wrap11(Unknown Source:0)
    at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1688)
    at android.os.Handler.dispatchMessage(Handler.java:105)
    at android.os.Looper.loop(Looper.java:164)
    at android.app.ActivityThread.main(ActivityThread.java:6798)
    at java.lang.reflect.Method.invoke(Native Method)
    at com.android.internal.os.Zygote$MethodAndArgsCaller.run(Zygote.java:240)
    at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:767)
Caused by: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
    at android.support.v7.app.AppCompatDelegateImpl.createSubDecor(AppCompatDelegateImpl.java:555)
    at android.support.v7.app.AppCompatDelegateImpl.ensureSubDecor(AppCompatDelegateImpl.java:518)
    at android.support.v7.app.AppCompatDelegateImpl.setContentView(AppCompatDelegateImpl.java:457)
    at android.support.v7.app.AppCompatActivity.setContentView(AppCompatActivity.java:145)
    at com.paq15a19.main.onCreate(main.java:61)
    at android.app.Activity.performCreate(Activity.java:7003)
    at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1230)
    at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2899)
    ... 9 more
I don't know what this error and how to resolve it
 

yfleury

Active Member
Licensed User
Many Thanks DonManfred for your support.
But is not very easy for me to follow instructions in english. B4Xdrawer is very easy to install it in B4i and is very hard to install in B4A.

Than I thing it is more easy for me to add a panel "menu" (show/hide) by my self.
 

yfleury

Active Member
Licensed User
Hi JimmyF, It's hard for me. Many and complex instructions. So I make my menu with panel and xcustomlistview. That's very simple for me.
B4XDrawer has nothing to do with AppCompat. The example combined both features.
Than why put a small project with AppCompat?
 

DonManfred

Expert
Licensed User
Based on the error posted in #6
Caused by: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
at android.support.v7.app.AppCompatDelegateImpl.createSubDecor(AppCompatDelegateImpl.java:555)
at android.support.v7.app.AppCompatDelegateImpl.ensureSubDecor(AppCompatDelegateImpl.java:518)
at android.support.v7.app.AppCompatDelegateImpl.setContentView(AppCompatDelegateImpl.java:457)
at android.support.v7.app.AppCompatActivity.setContentView(AppCompatActivity.java:145)
at com.paq15a19.main.onCreate(main.java:61)
It happens in his app, not in the b4x drawer example. And in his app he did not successfully added the appcompat compatibility.
 

jimmyF

Active Member
Licensed User
It happens in his app, not in the b4x drawer example. And in his app he did not successfully added the appcompat compatibility.
Exactly!
 
Top